﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    // This class will contain and manage a list of strings
    // used as a history of the text entered so far.

    public static class TextHistory
    {
        // the history list itself
        public static BindingList<string> HistoryList { get; set; }

        // constructor initializes the list
        static TextHistory()
        {
            HistoryList = new BindingList<string>();
        }

        // constructor takes the text and add it to
        // the history if it's not already there
        public static void Update(string textToAdd)
        {
            bool textAlreadyInHistory = false;

            foreach (string str in TextHistory.HistoryList)
            {
                if (textToAdd == str)
                {
                    textAlreadyInHistory = true;
                }
            }

            if (textToAdd != "" && textAlreadyInHistory == false)
            {
                HistoryList.Add(textToAdd);
            }
        }
    }
}
